import { createStore, Store } from "vuex";
import hzyb from "./modules/hzyb";

const store = createStore({
  state: {
    userData: {
      CompanyCode: "",
      CompanyName: "",
      Email: "",
      Sign: null,
    },
  },
  mutations: {
    getUserData(state, payload) {
      state.userData = payload;
    },
  },
  actions: {},
  modules: {
    hzyb
  }
});

export default store;